Index: trunk/import/staedtische_FS_aus_ALKIS_rlp.sql
===================================================================
--- trunk/import/staedtische_FS_aus_ALKIS_rlp.sql	(revision 298)
+++ trunk/import/staedtische_FS_aus_ALKIS_rlp.sql	(revision 330)
@@ -7,6 +7,7 @@
 -- Ggf. mÃŒssen verschiedene Schreibweisen des EigentÃŒmers oder ZusÃ€tze zum Namen berÃŒcksichtigt werden.
 
--- Stand: 2013-11-26 - hier die Version fÃŒr die ALKIS-Musterdaten RLP Mustermonzel
-
+-- Stand:
+--  2013-11-26 Version fÃŒr die ALKIS-Musterdaten RLP Mustermonzel
+--  2014-08-29 Umstellung auf Datenstruktur PostNAS 0.8 (ohne Tabelle "alkis_beziehungen")
 
 -- Voraussetzung = View "doppelverbindung" aus ALKIS PostNAS-Projekt Datei "sichten.sql"
@@ -16,80 +17,54 @@
 -- ---------------------
 
---           DROP VIEW st_flurst_exp;
-CREATE OR REPLACE VIEW st_flurst_exp
+--           DROP VIEW staedtische_flurstuecke;
+CREATE OR REPLACE VIEW staedtische_flurstuecke
 AS
-  SELECT   -- DISTINCT
+  SELECT
      f.gml_id,
      f.land, f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner,
      f.amtlicheflaeche,
-  -- f.flurstueckskennzeichen,
-  -- p.nachnameoderfirma                -- Familienname
      f.wkb_geometry
-  FROM ax_flurstueck    f               -- FlurstÃŒck
-  JOIN doppelverbindung d               -- beide FÃ€lle ÃŒber Union-View: direkt und ÃŒber Recht von BS an BS
-    ON d.fsgml = f.gml_id 
-  JOIN ax_buchungsstelle s              -- Buchungs-Stelle
-    ON d.bsgml = s.gml_id 
-  JOIN ax_buchungsstelle_buchungsart b  -- EnstschlÃŒsselung der Buchungsart
-    ON s.buchungsart = b.wert 
-  JOIN alkis_beziehungen v3             -- Grundbuch (zur Buchungs-Stelle)
-    ON s.gml_id = v3.beziehung_von  
-  JOIN ax_buchungsblatt  gb 
-    ON v3.beziehung_zu = gb.gml_id 
-  JOIN alkis_beziehungen v4             -- Namensnummer (zum GB-Blatt)
-    ON v4.beziehung_zu = gb.gml_id
-  JOIN ax_namensnummer nn 
-    ON v4.beziehung_von = nn.gml_id 
-  JOIN alkis_beziehungen v5             -- Person (zur Namensnummer)
-    ON v5.beziehung_von = nn.gml_id
-  JOIN ax_person p
-    ON v5.beziehung_zu = p.gml_id 
- WHERE v3.beziehungsart = 'istBestandteilVon'  -- Buchung  --> Blatt
-   AND v4.beziehungsart = 'istBestandteilVon'  -- Blatt    --> NamNum
-   AND v5.beziehungsart = 'benennt'            -- NamNum   --> Person
-   AND f.endet IS NULL
+  FROM ax_flurstueck    f                                        -- FlurstÃŒck
+  JOIN doppelverbindung d    ON d.fsgml = f.gml_id               -- beide FÃ€lle ÃŒber Union-View: direkt und ÃŒber Recht von BS an BS
+  JOIN ax_buchungsstelle s   ON d.bsgml = s.gml_id               -- Buchungs-Stelle
+--JOIN ax_buchungsstelle_buchungsart b ON s.buchungsart = b.wert -- EnstschlÃŒsselung Buchungsart
+  JOIN ax_buchungsblatt  gb  ON gb.gml_id = s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer nn    ON gb.gml_id = nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person p           ON p.gml_id  = nn.benennt           -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
    AND p.nachnameoderfirma = 'Ortsgemeinde Osann-Monzel'; -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
 
 -- Bei Schreib-Varianten wie "Stadt XXX - Wasserwerke -" oder  "Stadt XXX - Kanalbetriebe -"
--- muss hier ggf. der LOKE-Operator verwendet werden: LIKE "Stadt XXX%"
+-- muss hier ggf. der LIKE-Operator verwendet werden: LIKE "Stadt XXX%"
 
-COMMENT ON VIEW st_flurst_exp  IS 'FlurstÃŒcke der Ortsgemeinde Osann-Monzel. FÃŒr Shape-Export: Mit Kennzeichen und FlÃ€che';
+COMMENT ON VIEW staedtische_flurstuecke  IS 'FlurstÃŒcke der Ortsgemeinde Osann-Monzel. FÃŒr Shape-Export: Mit Kennzeichen und FlÃ€che';
 
 
--- View fÃŒr Shape-Export
+-- View fÃŒr WMS
+-- ---------------------
+
 --        DROP    VIEW st_flurst;
 CREATE OR REPLACE VIEW st_flurst
 AS
-  SELECT   -- DISTINCT
+  SELECT
      f.gml_id,
-     d.ba_dien,                         -- Buchungsart der dienenden Buchung
-  -- f.land, f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner,
-  -- f.amtlicheflaeche,
-  -- f.flurstueckskennzeichen,
-  -- p.nachnameoderfirma                -- Familienname
+     d.ba_dien, -- Buchungsart der dienenden Buchung --> CLASSITEM im WMS
      f.wkb_geometry
-  FROM ax_flurstueck    f               -- FlurstÃŒck
-  JOIN doppelverbindung d               -- beide FÃ€lle ÃŒber Union-View: direkt und ÃŒber Recht von BS an BS
-    ON d.fsgml = f.gml_id 
-  JOIN ax_buchungsstelle s              -- Buchungs-Stelle
-    ON d.bsgml = s.gml_id 
-  JOIN ax_buchungsstelle_buchungsart b  -- EnstschlÃŒsselung der Buchungsart
-    ON s.buchungsart = b.wert 
-  JOIN alkis_beziehungen v3             -- Grundbuch (zur Buchungs-Stelle)
-    ON s.gml_id = v3.beziehung_von  
-  JOIN ax_buchungsblatt  gb 
-    ON v3.beziehung_zu = gb.gml_id 
-  JOIN alkis_beziehungen v4             -- Namensnummer (zum GB-Blatt)
-    ON v4.beziehung_zu = gb.gml_id
-  JOIN ax_namensnummer nn 
-    ON v4.beziehung_von = nn.gml_id 
-  JOIN alkis_beziehungen v5             -- Person (zur Namensnummer)
-    ON v5.beziehung_von = nn.gml_id
-  JOIN ax_person p
-    ON v5.beziehung_zu = p.gml_id 
- WHERE v3.beziehungsart = 'istBestandteilVon'  -- Buchung  --> Blatt
-   AND v4.beziehungsart = 'istBestandteilVon'  -- Blatt    --> NamNum
-   AND v5.beziehungsart = 'benennt'            -- NamNum   --> Person
-   AND f.endet IS NULL
+  FROM ax_flurstueck    f                                        -- FlurstÃŒck
+  JOIN doppelverbindung d    ON d.fsgml = f.gml_id               -- beide FÃ€lle ÃŒber Union-View: direkt und ÃŒber Recht von BS an BS
+  JOIN ax_buchungsstelle s   ON d.bsgml = s.gml_id               -- Buchungs-Stelle
+  JOIN ax_buchungsstelle_buchungsart b ON s.buchungsart = b.wert -- EnstschlÃŒsselung Buchungsart
+  JOIN ax_buchungsblatt  gb  ON gb.gml_id = s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer nn    ON gb.gml_id = nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person p           ON p.gml_id  = nn.benennt           -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
    AND p.nachnameoderfirma = 'Ortsgemeinde Osann-Monzel'; -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
 
@@ -100,6 +75,12 @@
 
 -- Buchungsarten darin?
---    SELECT DISTINCT ba_dien, count(gml_id) AS anzahl FROM st_flurst GROUP BY ba_dien ORDER BY ba_dien;
-
+/*
+ SELECT DISTINCT 
+     ba_dien, 
+     count(gml_id) AS anzahl 
+  FROM st_flurst 
+  GROUP BY ba_dien
+  ORDER BY ba_dien;
+*/
 
 -- the HAPPY end --
